perl-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From mer...@stonehenge.com (Randal L. Schwartz)
Subject Re: perl5.10.1 and mod_perl 2.0.4 break on "my_perl"
Date Thu, 12 Aug 2010 18:49:52 GMT
>>>>> "Randal" == Randal L Schwartz <merlyn@stonehenge.com> writes:

>>>>> "Torsten" == Torsten Förtsch <torsten.foertsch@gmx.net> writes:
Torsten> On Thursday, August 12, 2010 20:31:42 Randal L. Schwartz wrote:
>>> useithreads=undef, usemultiplicity=define

Torsten> This is your problem. Either both or none should be defined but not only one 
Torsten> of them.

Randal> Is this combo being unsupported new for Perl5.10?

Randal> Macports builds the "+shared" version by defining "-Duseshrplib", which
Randal> appears to define MULTIPILICITY.  It does *not define "-Dusethreads"
Randal> unless I also add "+threads".

Ahh, I spoke too soon.

Turns out Macports *always* builds with -Dusemultiplicity=y,
regardless of the variant.

But I *do* seem to recall using this version with mod_perl 2.0.4.

I wonder what will break if I just take that out.

-- 
Randal L. Schwartz - Stonehenge Consulting Services, Inc. - +1 503 777 0095
<merlyn@stonehenge.com> <URL:http://www.stonehenge.com/merlyn/>
Smalltalk/Perl/Unix consulting, Technical writing, Comedy, etc. etc.
See http://methodsandmessages.vox.com/ for Smalltalk and Seaside discussion

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@perl.apache.org
For additional commands, e-mail: dev-help@perl.apache.org


Mime
View raw message